{
  lib,
  pkgs,
  ...
}:
{
  global = {
    id = "f16d3a87afdd4eb2b1fa4c098d4a9c1a";
    auth.openssh.enable = true;
    fs.esp.uuid = "153D-AA49";
    fs.type = "xfs";
    fs.store = "67878f8f-3724-4551-a2e2-f43d674e1d93";
    fs.cryptsetup.enable = true;
    fs.cryptsetup.uuids.persist = "3633e292-59e8-497d-9e51-0186ca73c25c";
    gpu.enable = true;
    gpu.type = "intel";
    gpu.session = false;
    boot.lanzaboote = true;
  };

  services.udev.extraRules = ''
    SUBSYSTEM=="net", ACTION=="add", ATTR{address}=="88:c9:b3:b5:15:0e", NAME="i225-v"
    SUBSYSTEM=="net", ACTION=="add", ATTR{address}=="8c:a6:82:70:08:ca", NAME="aqc113c"
  '';
  boot.kernelParams = [ "zfs.zfs_arc_max=2147483648" ];
  networking.firewall.checkReversePath = false;
  boot.swraid.enable = true;
  boot.swraid.mdadmConf = ''
    PROGRAM /run/current-system/sw/bin/true
  '';

  hardware.enableRedistributableFirmware = true;
  boot.initrd.availableKernelModules = [
    "xhci_pci"
    "ahci"
    "nvme"
    "usbhid"
    "usb_storage"
    "sd_mod"
  ];
  boot.initrd.kernelModules = [ "i915" ];
  boot.kernelModules = [ "kvm-intel" ];
  boot.extraModulePackages = [ ];
}
